सामग्री पर जाएँ

Flux 2 Klein 9B Base Trainer

इंटीग्रेट करें

मॉडल id flux-2-klein-9b-base-trainer/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-klein-9b-base-trainer/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $13.90 13,900 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs ट्रेनिंग

शुरुआत और अंत की इमेजों वाली zip जोड़ियों से FLUX.2 klein 9B के लिए एडिटिंग LoRA को ट्रेन करता है

Black Forest Labs · फ़ाइल

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

प्रशिक्षण-डेटा zip URL, जिसमें प्रत्येक इमेज जोड़ी के संपादन निर्देश वैकल्पिक ROOT.txt फ़ाइल, जैसे photo.txt, के माध्यम से दिए जाते हैं; अन्यथा default_caption का उपयोग किया जाता है और वह भी अनुपस्थित होने पर प्रशिक्षण विफल हो जाता है। इमेज जोड़ियों में ROOT_start.EXT और ROOT_end.EXT का उपयोग होना चाहिए, जैसे photo_start.jpg और photo_end.jpg। प्रत्येक जोड़ी में ROOT_start.EXT, ROOT_start2.EXT, ROOT_start3.EXT, ROOT_start4.EXT, ROOT_end.EXT का उपयोग करके अधिकतम चार संदर्भ इमेज भी शामिल की जा सकती हैं; उदाहरण फ़ाइलनाम photo_start.jpg, photo_start2.jpg, photo_end.jpg हैं।

डिफ़ॉल्ट 1000

प्रशिक्षण के लिए चरणों की कुल संख्या।

उन्नत default_caption · learning_rate

लापता caption फ़ाइलों के स्थान पर उपयोग किया जाने वाला caption; इसके बजाय None देने पर उनकी अनुपस्थिति त्रुटि मानी जाती है।

डिफ़ॉल्ट 5.0e-05

प्रशिक्षित किए जा सकने वाले पैरामीटर के लिए उपयोग की जाने वाली learning rate।

POST /run/flux-2-klein-9b-base-trainer/edit?wait=20 कोटेशन → $13.90
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-klein-9b-base-trainer/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Flux 2 Klein 9B Base Trainer के बारे में

`image_data_url` पर मौजूद ऐसी zip का उपयोग करके संपादन कार्यों के लिए LoRA को फ़ाइन-ट्यून करता है, जिसमें ROOT_start और ROOT_end नाम वाली युग्मित इमेज होती हैं। `steps` 100 से 20000 तक होता है (डिफ़ॉल्ट 1000), साथ में कॉन्फ़िगर करने योग्य `learning_rate` और अनुपलब्ध कैप्शन के लिए `default_caption` होता है। config फ़ाइल और diffusers LoRA वेट आउटपुट करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_data_urlआवश्यक
प्रकारstring
प्रशिक्षण-डेटा zip URL, जिसमें प्रत्येक इमेज जोड़ी के संपादन निर्देश वैकल्पिक ROOT.txt फ़ाइल, जैसे photo.txt, के माध्यम से दिए जाते हैं; अन्यथा default_caption का उपयोग किया जाता है और वह भी अनुपस्थित होने पर प्रशिक्षण विफल हो जाता है। इमेज जोड़ियों में ROOT_start.EXT और ROOT_end.EXT का उपयोग होना चाहिए, जैसे photo_start.jpg और photo_end.jpg। प्रत्येक जोड़ी में ROOT_start.EXT, ROOT_start2.EXT, ROOT_start3.EXT, ROOT_start4.EXT, ROOT_end.EXT का उपयोग करके अधिकतम चार संदर्भ इमेज भी शामिल की जा सकती हैं; उदाहरण फ़ाइलनाम photo_start.jpg, photo_start2.jpg, photo_end.jpg हैं।
stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट1000
100 – 20,000
प्रशिक्षण के लिए चरणों की कुल संख्या।
learning_rateवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5.0e-05
प्रशिक्षित किए जा सकने वाले पैरामीटर के लिए उपयोग की जाने वाली learning rate।
default_captionवैकल्पिक
प्रकारstring | null
लापता caption फ़ाइलों के स्थान पर उपयोग किया जाने वाला caption; इसके बजाय None देने पर उनकी अनुपस्थिति त्रुटि मानी जाती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-klein-9b-base-trainer/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 13900,
    "usd": "13.90",
    "charged": 13900,
    "refunded": 0
  },
  "input": {
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers format में trained LoRA weights की ओर संकेत करने वाला URL।
config_file
object {url, content_type, file_name, file_size}प्रशिक्षित मॉडल की कॉन्फ़िगरेशन फ़ाइल का URL।

और मॉडल: ट्रेनिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-2-klein-9b-base-trainer/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt